# Crate serde_urlencoded [−] [src]

`x-www-form-urlencoded` meets Serde

## Modules

de | Deserialization support for the `application/x-www-form-urlencoded` format.
ser | Serialization support for the `application/x-www-form-urlencoded` format.

## Structs

Deserializer | A deserializer for the `application/x-www-form-urlencoded` format.
Serializer | A serializer for the `application/x-www-form-urlencoded` format.

## Functions

from_bytes | Deserializes a `application/x-www-form-urlencoded` value from a `&[u8]`.
from_reader | Convenience function that reads all bytes from `reader` and deserializes them with `from_bytes`.
from_str | Deserializes a `application/x-www-form-urlencoded` value from a `&str`.
to_string | Serializes a value into a `application/x-www-form-urlencoded` `String` buffer.